import './App.css';
import { Route, SingleRouter } from './components/SingleRouter/SingleRouter';
import { AppContainer } from './index/index';
import { UploadContainer } from './upload/upload';
import { LogInContainer } from './login/login';
import { ReviewContainer } from './review/review';
import History from './helper/history';

function App() {
  // TODO check login
  return (
    <SingleRouter history={History}>
      <Route path="/" component={AppContainer} />
      <Route path="/upload" component={UploadContainer} />
      <Route path="/login" component={LogInContainer} />
      <Route path="/review" component={ReviewContainer} />
    </SingleRouter>
  );
}

export default App;
